Package com.ocient.util

# Class RowBatch

java.lang.Object
com.ocient.util.RowBatch

public class RowBatch extends Object

## Constructor Summary

Constructors
Constructor
Description
`RowBatch(int numRows)`
`RowBatch(List<Row> seed)`

## Method Summary

Modifier and Type
Method
Description
`static RowBatch`
`concat(List<RowBatch> batches)`
`List<Row>`
`getRows()`
`FetchSummary`
`getSummary()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RowBatch

public RowBatch(int numRows)

### RowBatch

public RowBatch(List<Row> seed)

## Method Details

### getRows

public List<Row> getRows()

### getSummary

public FetchSummary getSummary()

### concat

public static RowBatch concat(List<RowBatch> batches)

### toString

public String toString()

Overrides:
  `toString` in class `Object`